@charset "UTF-8";
/* CSS Document (ハンバーガーメニュー) */

.hamburger_menu{
	font-family: "Zen Kaku Gothic New", sans-serif;
}

/*アイコン*/
#nav_toggle{
  position: fixed;
  top: 10px;
  right: 0;
  height: 65px;
  width: 100px;
  cursor: pointer;
  z-index: 999;
/*  background: #775635;*/
  display: none;
  border-radius: 0 0 0 5px;
}
#nav_toggle > div{
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%,-50%);
  width: 30px;
  height: 20px;
}
#nav_toggle span{
  width: 100%;
  height: 2px;
  position: absolute;
  left: 0;
  display: block;
  background: #fff;
  transition: transform 0.4s ease-in-out, top 0.3s ease;
}
#nav_toggle span:nth-child(1) {
  top: 0;
}
#nav_toggle span:nth-child(2) {
  top: 9px;
}
#nav_toggle span:nth-child(3) {
  top: 18px;
}
/*open*/
.open #nav_toggle span:nth-child(1) {
	top: 9px;
	transform: rotate(45deg);
	background: #333;
}
.open #nav_toggle span:nth-child(2) {
  top: 9px;
  width: 0;
  left: 50%;
}
.open #nav_toggle span:nth-child(3) {
  top: 9px;
  transform: rotate(-45deg);
	background: #333;
}

.transform_header #nav_toggle span{
	background: #333;
}

/*中身*/
.hamburger_nav {
/*  background: #fff;*/
	background: url("../img/mobile_bg.jpg");
	background-size: cover;
	background-repeat: no-repeat;
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 990;
  text-align: center;
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.6s ease, visibility 0.6s ease;
  padding: 120px 0;
  overflow-y: scroll;
  overflow-x: hidden;
}


.hamburger_nav ul{
	margin-bottom: 20px;
	max-width: 450px;
    margin: auto;
}
.hamburger_nav ul li a {
	display: flex;
	transition: 0.1s;
	font-size: 1.1rem;
	margin-bottom: 20px;
	position: relative;
	padding-bottom: 10px;
	justify-content: center;
	align-items: center;
}



/*メニュー内のアンダーバー*/
.hamburger_nav > ul > li > a::after{
	content: '';
	width: 270px;
	height: 1.5px;
	display: inline-block;
	background: #333;
/*	background:linear-gradient(90deg, rgba(89,181,224,1) 0%, rgba(78,215,144,1) 100%);*/
	position: absolute;
	bottom: 7px;
	left: calc(50% - 135px);
}

.hamburger_nav a span{
	font-size: 0.8em;
/*	margin-right: 10px;*/
	color: #333;
	width: 30%;

}

.hamburger_nav a .span_en{
	font-size: 0.8em;
/*	margin-right: 10px;*/
	color: #333;
	width: 16%;
}


.hamburger_nav ul li{
  opacity: 0;
  transform: translateX(200px);
  transition: transform 0.6s ease, opacity 0.2s ease;
}
.hamburger_nav ul li:nth-child(2) {
  transition-delay: 0.15s;
}
.hamburger_nav ul li:nth-child(3) {
  transition-delay: 0.3s;
}
.hamburger_nav ul li:nth-child(4) {
  transition-delay: 0.45s;
}
.hamburger_nav ul li:nth-child(5) {
  transition-delay: 0.6s;
}
.hamburger_nav ul li:nth-child(6) {
  transition-delay: 0.75s;
}
.hamburger_nav ul li:nth-child(7) {
  transition-delay: 0.9s;
}

.hamburger_nav .m_contact{
  opacity: 0;
  transform: translateX(200px);
  transition: transform 0.6s ease, opacity 0.2s ease;
}

.m_nav_child{
	position: relative;
}

.m_nav_child::after{
	content:'';
	position: absolute;
	right: 100px;
    top: 5px;
    width: 10px;
    height: 10px;
    border-top: 2px solid #333;
    border-right: 2px solid #333;
    transform: rotate(135deg);
}

.m_nav_child.m_open::after{
	transform: rotate(-45deg);
}
.m_nav_child.m_open{
	pointer-events: auto;
}
.m_nav_child.m_open .m_nav_child_item li a{
	pointer-events: auto;
}
.m_nav_child_item{
	display: none;
	pointer-events: auto;
	
}

.nav_child .m_nav_child_item li{
	font-size: 1.1rem;
}
.nav_child .m_nav_child_item li a{
	font-size: 1.1rem;
	padding-bottom: 10px;
	margin-bottom: 0;
	pointer-events: auto;
}

/*---m_nav_childのアンダーバー----*/
.m_nav_child_item li > a::after{
	content: '';
	width: 250px;
	height: 1.5px;
	display: inline-block;
	background-image: linear-gradient(to right, #000, #000 3px, transparent 3px, transparent 8px);
	background-size: 8px 1px;
	background-repeat: repeat-x;
	position: absolute;
	bottom: 0;
}


.mbtn a{
	display: block;
    border: 1px solid #121212;
    text-align: center;
    width: 30%;
    padding: 15px 0;
    letter-spacing: 0.08em;
	margin: auto;
    font-size: 0.8rem;
    color: #121212;
    transition: all .5s ease;
}

/*ホバー*/
.hamburger_nav ul li a:hover{
  opacity: 0.6;
}


/* open */
.open{
  overflow: hidden;
}
.open .hamburger_nav{
  visibility: visible;
  opacity: 1;
}
.open .hamburger_nav li{
  opacity: 1;
  transform: translateX(0);
  transition: transform 1s ease, opacity 0.9s ease;
}
.open .hamburger_nav .m_contact{
  opacity: 1;
  transform: translateX(0);
  transition: transform 2s ease, opacity 3s ease;
}


/*ブレイクポイントのみ変更*/
@media (max-width: 960px){
  .hamburger_menu #nav_toggle{
    display: block;
  }

}
@media (max-width: 460px){
	.hamburger_nav a span{
		width: 40%;
	}
	.m_nav_child::after{
		right:20%;
	}

}